html,
body {
  /* width: 100vw;
  height: 100vh; */
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
  /* user-select: none;
  -webkit-user-drag: none;
  user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none; */
}

#limiter {
  height: 100%;
  width: 100%;
  position: relative;
  max-width: 1700px;
  margin: auto;
}

#mainpage {
  background-color: rgb(179, 231, 179);
}

#wrapper {
  display: flex;
  height: 100%;
  width: 100%;
  padding-bottom: 0;
  box-sizing: border-box;
}

#menu-outer {
  height: 90%;
  margin: 1rem;
}

#menu {
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: start;
  height: 90%;
}

#menu a,
#menu img {
  height: 60px;
  width: 90px;
}

#brand-buttons {
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: start;
}

.brand-button {
  width: 75px;
  height: 25px;
}

#mainframe-outer {
  /* display: block; */
  /* width: 75%;
  height: 75vh; */
  /* flex-direction: column; */
  /* justify-content: center;
  align-items: center;
  text-align: center;

  margin-left: 10rem;
  margin-right: 10rem;
  margin-top: 1rem; */
  /* padding: 1rem; */
  box-shadow: 10px 10px 60px -5px rgba(11, 67, 223, 0.54);
  border: 3px double #0000a6;
  flex: 10 1 auto;
  position: relative;
  height: 100%;
  box-sizing: border-box;
}

#mainframe {
  width: 100%;
  height: 100%;
}

#audioplayer {
  position: fixed;
  top: 1rem;
  right: 1rem;
  font-size: 2rem;
  z-index: 1000;
  cursor: pointer;
}

/* HOME PAGE */

#homepage {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  height: auto;
  /* justify-content: center; */
}

.title {
  width: 100px;
  height: auto;
  position: fixed;
}

#header-outer {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  background-image: url('/images/siteImages/backyardRain.gif');
  background-repeat: no-repeat;
  background-size: cover;
  /* margin-left: 10rem;
  margin-right: 10rem; */
  /* margin-top: 1rem; */
  /* padding: 1rem; */
  padding-bottom: 1rem;
  width: 100%;
}

#my-name {
  /* width: 500px; */
  display: block;
  justify-self: center;
  filter: url(#noise1);
  font-family: 'Jersey 25', 'Futura', 'Arial Narrow', Arial, sans-serif;
  font-size: 4rem;
  -webkit-animation-name: Floatingx;
  -webkit-animation-duration: 5s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-timing-function: ease-in-out;
  -moz-animation-name: Floating;
  -moz-animation-duration: 4s;
  -moz-animation-iteration-count: infinite;
  -moz-animation-timing-function: ease-in-out;
}

@-webkit-keyframes Floatingx {
  from {
    -webkit-transform: translate(0, 0px);
  }
  65% {
    -webkit-transform: translate(0, 15px);
  }
  to {
    -webkit-transform: translate(0, -0px);
  }
}

@-moz-keyframes Floating {
  from {
    -moz-transform: translate(0, 0px);
  }
  65% {
    -moz-transform: translate(0, 15px);
  }
  to {
    -moz-transform: translate(0, -0px);
  }
}

#header {
  display: flex;
  gap: 20px;
  align-items: center;
}

#headshot-container {
  background-color: rgba(255, 255, 255, 0.546);
  border: black solid 2px;
  border-radius: 8px;
  /* margin-top: 1rem; */
  width: fit-content;
  height: fit-content;
  display: flex;
  flex-grow: 1;
  flex-basis: 0;
  /* filter: url(#noise2); */
  /* padding: 0; */
}

#headshot {
  max-width: 500px;
  /* width: 50%; */
  height: auto;
  user-select: none;
  -webkit-user-drag: none;
  user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
}

#header-blurb-container {
  /* margin-top: 1rem; */
  flex-grow: 1;
  flex-basis: 0;
  max-width: 500px;

  border-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAFQAAABUCAYAAAAcaxDBAAADYUlEQVR4Aeyc0W3cQAxElWsiDboPI32kQVeRYI0g2H2UNKJGzkcwARRolkNy792C0NnGvb7//PFrvjbxb/aOe9rH2nyp+Owd913/yDm7VL1uXPlfNER7BALU41eyA7Qg8RZeH2/v3+brbB6N2Owd92w/1uZLxWfvuB895muszVe3nvKr+LyXvft5b+M+J5RETR2gJkCmByiJmFoCHXNhvjhHzP4lfe417tlvrM0X46Vgc4H15l7jXpWTQFWBxFcCAbrysFWA2gjXAuWz/JgT88WZsm3bUoFxpZfkC2Ley7hnylibL8Zdzdcz9xr3jOeEusSRH6AA4soAdQkiv3yWR3wbc+Lsop+auYwrzRml/IyrfBVX+2c8J5TvgKkD1ATI9AAlEVOX59BuPc4Q6m49zjTWY1zVZ77yd+PcT05ol6DwB6gA1A0HaJeY8MvnUJG/cYYc+G8vs/7TM9Gtx/yc0Ntv9X5igO5zub0aoLfR7Sc+/hy63+b6KmcS9fVK95zdfpzxOaH3uB9mBeghmnuBAL3H7TBLAuWMOKyUwCcBCfTTlf8uEwjQy6iuGQP0GqfLrgKUM9N9Lru8k2p8ZIWvh7rbhPnkU4B2G8S/EgjQlYetAtRGuBYoQDkTODPW9K38PLSbz3pfrbv74+tX+QXoV7+g/71+gD78Dgfo00DVTGCc/RnnzKH/X2u1P8a5P8bV68sJJUFTB6gJkOkBSiKmLr9T4szo1mc+dbde0y/t3f1wZqr8nFD5FvQMAdrjJd0BKhH1DAEqeKmZyfQAJRFTB6gJkOkBSiKmbv99KJ/LzP4ynf2oZQFhcOtxxuaECuDdcIB2iQl/gApA3XD5LN8t4M4g9mM9zij6Xf3x9r58b1W3HvebE9olKPwBKgB1wwHaJSb87edQUa+EOWOKAQucmcxnHOlSsh61LAAD95MTCkCuDFCXIPIDFEBcKZ9D1YzhDOGGVJx+ajdf7Z/96KdW/pxQEjJ1gJoAmR6gJGLq8hzKmeHOMLU/9qNfxemn5v6VVvl/9vP3u/9ZLyeUBE0doCZApgcoiZhaAlUzw+xfvltP9WPc7c98zsRuPwmUDaPPCQToOZ92NEDbyM4Tymd5zhBqNVO68a5f7adbj3iYz37U9OeEkqipA9QEyPQAJRFT/wYAAP//ggZaLQAAAAZJREFUAwA02oqEYoyDhgAAAABJRU5ErkJggg==')
    28 / 28px / 0 round;
  border-width: 28px;
  border-style: solid;

  background-color: rgb(158, 236, 158);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  /* height: 75%; */
  padding: 40px;
}

#main-blurb {
  font-family: 'Futura', 'Arial Narrow', Arial, sans-serif;
  color: darkgreen;
}

#section1 {
  border-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAFQAAABUCAYAAAAcaxDBAAADYUlEQVR4Aeyc0W3cQAxElWsiDboPI32kQVeRYI0g2H2UNKJGzkcwARRolkNy792C0NnGvb7//PFrvjbxb/aOe9rH2nyp+Owd913/yDm7VL1uXPlfNER7BALU41eyA7Qg8RZeH2/v3+brbB6N2Owd92w/1uZLxWfvuB895muszVe3nvKr+LyXvft5b+M+J5RETR2gJkCmByiJmFoCHXNhvjhHzP4lfe417tlvrM0X46Vgc4H15l7jXpWTQFWBxFcCAbrysFWA2gjXAuWz/JgT88WZsm3bUoFxpZfkC2Ley7hnylibL8Zdzdcz9xr3jOeEusSRH6AA4soAdQkiv3yWR3wbc+Lsop+auYwrzRml/IyrfBVX+2c8J5TvgKkD1ATI9AAlEVOX59BuPc4Q6m49zjTWY1zVZ77yd+PcT05ol6DwB6gA1A0HaJeY8MvnUJG/cYYc+G8vs/7TM9Gtx/yc0Ntv9X5igO5zub0aoLfR7Sc+/hy63+b6KmcS9fVK95zdfpzxOaH3uB9mBeghmnuBAL3H7TBLAuWMOKyUwCcBCfTTlf8uEwjQy6iuGQP0GqfLrgKUM9N9Lru8k2p8ZIWvh7rbhPnkU4B2G8S/EgjQlYetAtRGuBYoQDkTODPW9K38PLSbz3pfrbv74+tX+QXoV7+g/71+gD78Dgfo00DVTGCc/RnnzKH/X2u1P8a5P8bV68sJJUFTB6gJkOkBSiKmLr9T4szo1mc+dbde0y/t3f1wZqr8nFD5FvQMAdrjJd0BKhH1DAEqeKmZyfQAJRFTB6gJkOkBSiKmbv99KJ/LzP4ynf2oZQFhcOtxxuaECuDdcIB2iQl/gApA3XD5LN8t4M4g9mM9zij6Xf3x9r58b1W3HvebE9olKPwBKgB1wwHaJSb87edQUa+EOWOKAQucmcxnHOlSsh61LAAD95MTCkCuDFCXIPIDFEBcKZ9D1YzhDOGGVJx+ajdf7Z/96KdW/pxQEjJ1gJoAmR6gJGLq8hzKmeHOMLU/9qNfxemn5v6VVvl/9vP3u/9ZLyeUBE0doCZApgcoiZhaAlUzw+xfvltP9WPc7c98zsRuPwmUDaPPCQToOZ92NEDbyM4Tymd5zhBqNVO68a5f7adbj3iYz37U9OeEkqipA9QEyPQAJRFT/wYAAP//ggZaLQAAAAZJREFUAwA02oqEYoyDhgAAAABJRU5ErkJggg==')
    28 / 28px / 0 round;
  border-width: 28px;
  border-style: solid;
  width: 90%;
  background-color: rgb(158, 236, 158);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin: 0;
  padding: 2rem;
}

#section1 h1 {
  font-family: 'Jersey 25', 'Futura', 'Arial Narrow', Arial, sans-serif;
  -webkit-animation-name: Floatingx;
  -webkit-animation-duration: 5s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-timing-function: ease-in-out;
  -moz-animation-name: Floating;
  -moz-animation-duration: 4s;
  -moz-animation-iteration-count: infinite;
  -moz-animation-timing-function: ease-in-out;
}

#inside-section1 {
  width: 100%;
  display: flex;
  justify-content: space-between;
  gap: 3rem;
}

.row-s1 {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 2rem;
}

.row-s1 div {
  flex: 1;
  margin: 1rem;
}

.row-s1 h2 {
  font-family: 'Jersey 25', 'Futura', 'Arial Narrow', Arial, sans-serif;
  -webkit-animation-name: Floatingx;
  -webkit-animation-duration: 5s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-timing-function: ease-in-out;
  -moz-animation-name: Floating;
  -moz-animation-duration: 4s;
  -moz-animation-iteration-count: infinite;
  -moz-animation-timing-function: ease-in-out;
}

#leadingParagraph {
  background-color: rgb(183, 255, 229);
  margin: 2rem;
  padding: 2rem;
  width: 70%;
  border: 4px solid black;
  filter: url(#noise1);
  /* height: 100%; */
}

#leadingParagraph h1 {
  margin-top: 0;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  color: darkgreen;
}

#leadingParagraph p {
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  color: black;
  font-size: large;
}

.leftImage {
  float: right;
}

/* RESUME PAGE */

#resume-page {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  /* justify-content: center; */
}

.right {
  float: right;
  margin-right: 5px;
  font-family: 'Arial', sans-serif;
  line-height: 12px;
}

.resume_button {
  font-family: 'VT-100', fixedsys, System, monospace;
  font-size: 16px;
  background: #7aa469;
  color: white;
  font-weight: bold;
  padding: 10px;
  padding-top: 7px;
  padding-bottom: 7px;
  border-radius: 5px;
  border: 1px solid #618a50;
  box-shadow: 2px 2px #3c5832;
}

table {
  width: 100%;
}

.film-table,
.television-table,
.radio-table,
.theater-table {
  table-layout: fixed;
}

/* VIDEOS PAGE */

#videos-page {
  background-image: url('/images/siteImages/CARPET5.JPG');
  display: flex;
  flex-direction: column;
  align-items: center;
}

#videos-header-outer {
  width: 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding-bottom: 1rem;
  margin: 1rem;
  border-radius: 10px;
  background-color: rgb(255, 228, 196);
}

#videos-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 4rem;
  width: 100%;
  height: 100%;
}

#television-outer {
  width: 100%;
  /* height: 50%; */
  /* position: absolute; */
  display: flex;
  justify-content: center;
  height: 100%;
  /* margin-bottom: 400px; */
  /* flex-basis: 0;
  flex-grow: 1; */
}

#television {
  border-image-slice: 68 68 98 71 fill;
  border-image-width: 30px 20px 20px 20px;
  border-image-outset: 20px 17px 70px 17px;
  border-image-repeat: stretch stretch;
  border-image-source: url('/images/siteImages/old-tv.png');
  border-style: solid;
  position: absolute;
  width: 50%;
  /* height: auto; */
  background-color: black;
  justify-self: center;
  /* aspect-ratio: 16 / 9; */
}

#television-outer iframe {
  width: 100%;
  height: auto;
  aspect-ratio: 16 / 9;
  background-color: black;
}

#video-selection-wrapper {
  margin: 2rem;
  padding: 1rem;
  border-radius: 10px;
  background-color: rgb(255, 228, 196);
  /* flex-basis: 0;
  flex-grow: 1; */
}

.crt::before {
  content: ' ';
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background:
    linear-gradient(rgba(18, 16, 16, 0) 50%, rgba(0, 0, 0, 0.25) 50%),
    linear-gradient(
      90deg,
      rgba(255, 0, 0, 0.06),
      rgba(0, 255, 0, 0.02),
      rgba(0, 0, 255, 0.06)
    );
  z-index: 3;
  background-size:
    100% 2px,
    3px 100%;
  pointer-events: none;
}

@keyframes flicker {
  0% {
    opacity: 0.27861;
  }
  5% {
    opacity: 0.34769;
  }
  10% {
    opacity: 0.23604;
  }
  15% {
    opacity: 0.10626;
  }
  20% {
    opacity: 0.18128;
  }
  25% {
    opacity: 0.10626;
  }
  30% {
    opacity: 0.18128;
  }
  35% {
    opacity: 0.23604;
  }
}

.crt::after {
  content: ' ';
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: rgba(18, 16, 16, 0.1);
  opacity: 0;
  z-index: 2;
  pointer-events: none;
  animation: flicker 0.15s infinite;
}

/* ABOUT PAGE */
#aboutpage {
  background-color: lightgray;
  /* padding: 2rem; */
  padding-bottom: 2rem;
  margin: 0;
  text-wrap: wrap;
  width: 100%;
  height: auto;
}

#about-wrapper {
  padding: 2rem;
}

/* LINKS PAGE */

#linkspage {
  background-image: url('https://64.media.tumblr.com/6720afe4b23fff20fb0a55a8733db945/147bfebdf112f180-c6/s400x600/b6f51cddbdd98ddab9e322b88807158dac343608.gifv');
  background-repeat: repeat;
  width: 100%;
}

#links-header-outer {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding-bottom: 1rem;
}

#linklist {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  color: white;
  width: 100%;
}

#linklist div {
  display: flex;
}

#linklist a {
  color: white;
  text-decoration: none;
  margin: 1rem;
}

/* MEDIA QUERIES */
@media (max-width: 1330px) {
  #television-outer {
    margin-bottom: 350px;
  }
}

@media (max-width: 1000px) {
  #television-outer {
    margin-bottom: 300px;
  }
}

@media (max-width: 928px) {
  #television-outer {
    margin-bottom: 200px;
  }
}

@media (max-width: 800px) {
  #television {
    width: auto;
  }
}

@media (max-height: 375px) {
  #menu a,
  #menu img {
    height: 40px;
    width: 60px;
  }
}

@media (max-width: 500px) {
  #homepage {
    /* height: 100vh; */
  }
  #wrapper {
    flex-direction: column;
    /* padding: 10px; */
    height: 100%;
  }

  #audioplayer {
    bottom: 1rem;
    top: auto;
  }

  #my-name {
    /* width: 100%; */
    /* margin-left: 3rem; */
    font-size: 2.5rem;
    margin: 0;
  }

  #headshot {
    width: 300px;
  }

  #leadingParagraph {
    width: 90%;
    margin: 1rem;
    padding: 1rem;
  }

  #menu-outer {
    margin: 0.5rem;
    height: auto;
  }

  #menu {
    margin-top: 0.2rem;
    flex-direction: row;
    justify-content: space-evenly;
    align-content: center;
    height: auto;
    width: 100%;
  }

  #menu a,
  #menu img {
    width: 50px;
    height: 30px;
  }

  #brand-buttons {
    flex-direction: row;
    justify-content: space-evenly;
    align-content: center;
    width: 100%;
    margin-top: 5px;
  }

  .brand-button {
    width: 50px;
    height: 20px;
  }

  #mainframe-outer {
    /* margin: 1rem; */
    width: 100%;
    height: 80vh;
  }

  #header {
    flex-direction: column;
    gap: 10px;
  }

  #header-blurb-container {
    width: 300px;
    font-size: medium;
    padding: 5px;
  }

  #section1 {
    border-width: 6px;
    width: 80%;
    padding-top: 2rem;
    padding-bottom: 2rem;
  }

  #section1 h1 {
    font-size: 1.5rem;
  }

  .row-s1 {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    width: 100%;
    font-size: small;
    text-wrap: wrap;
  }

  .row-s1 div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    /* margin: 1rem; */
    /* padding: 1rem; */
    width: 80%;
  }

  .row-s1 div iframe {
    /* width: 50%; */
    height: auto;
  }

  #television {
    border-image-outset: 20px 17px 40px 17px;
    /* width: auto; */
  }

  #links-header-outer img {
    width: 350px;
  }

  #videos-section {
    height: 60%;
  }
}

/* UTILITIES */

/* Wiggly Border Animation */

@keyframes wiggle {
  0% {
    filter: url(#noise1);
  }
  50% {
    filter: url(#noise2);
  }
  100% {
    filter: url(#noise3);
  }
}
